import * as config from './config';
import { createServer } from './server';

import { addHealthRoutes, addSummaryRoutes } from './routes';

const server = createServer({
  logger: process.env.NODE_ENV !== 'test',
});

addHealthRoutes(server);
addSummaryRoutes(server);

server.listen(
  {
    port: config.meta.port,
    host: config.meta.host,
  },
  (err) => {
    if (err) {
      server.log.error(err.message);
      process.exit(1);
    }
  }
);
